## int-fiction-installer 1.5

=== Makefile ===
DESTDIR :=
prefix  := $(DESTDIR)/usr
sbindir := $(prefix)/sbin
sharedir:= $(prefix)/share
zcodedir:= $(sharedir)/games/zcode
mandir  := $(sharedir)/man
man8dir := $(mandir)/man8
vardir  := $(DESTDIR)/var
statedir:= $(vardir)/lib/if-installer
INSTALL := install

PODMAN  := install-int-fiction.8

all: $(PODMAN)

clean:
	rm -f $(PODMAN)

%.8: %
	pod2man --section 8 --center "" --release "" $< $@

install: all
	install -d $(sbindir) $(man8dir) $(statedir) $(zcodedir)
	install install-int-fiction $(sbindir)
	install -m644 $(PODMAN) $(man8dir)
	install -m644 index.dist $(statedir)/index

.PHONY: all clean install

## int-fiction-installer 1.4

=== debian/changelog ===
int-fiction-installer (1.4) unstable; urgency=medium

  * The upgrade packages use download-only mode and would fail without an
    index, so distribute one with the package.
  * This problem is somewhat serious, and the other changes only in
    documentation => medium urgency.
  * This index is likely to become stale -- document this.
  * Reformat the README.
  * Polish the description.
  * Fix typo in POD.

 -- Robert Bihlmeyer <robbe@debian.org>  Sat, 23 Mar 2002 09:19:24 +0100

int-fiction-installer (1.3) unstable; urgency=low

  * The "Happy new year!" release.
  * New 'list' command which displays installed games.
  * 'search' will now search descriptions, too, unless new switch
    '--names-only' is used.
  * Game names given to 'install', 'remove', or 'show' are now
    case-insensitive.
  * Having libwww-perl installed is no longer mandatory. The script will
    not be able to download anything without it, but people who don't need
    downloading are not forced to install LWP.
  * Document the recommendations in the package description.

 -- Robert Bihlmeyer <robbe@debian.org>  Tue,  1 Jan 2002 18:49:04 +0100

int-fiction-installer (1.2) unstable; urgency=low

  * Forgot to depend on libwww-perl. Argl. (Closes: #120094)
  * 'search' would print debugging output. Zilched.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 18 Nov 2001 17:28:52 +0100

int-fiction-installer (1.1) unstable; urgency=low

  * install-int-fiction:
    + New 'show' command which displays descriptions
    + Perform locking so that multiple simultanous invocations are safe.
    + 'search' can take regular expressions now, and outputs the start of
      the description.
    + Option to just print the URLs
    + Option to avoid going onto the net

 -- Robert Bihlmeyer <robbe@debian.org>  Wed,  7 Nov 2001 19:41:45 +0100

int-fiction-installer (1.0) unstable; urgency=low

  * New package.

 -- Robert Bihlmeyer <robbe@debian.org>  Wed, 31 Oct 2001 17:28:23 +0100

=== debian/control ===
Source: int-fiction-installer
Section: contrib/games
Priority: optional
Maintainer: Robert Bihlmeyer <robbe@debian.org>
Build-Depends-Indep: debhelper (>= 2.0.0)
Standards-Version: 3.5.6

Package: int-fiction-installer
Architecture: all
Depends: ${perl:Depends}
Recommends: libwww-perl, zcode-interpreter
Description: Installer for interactive fiction games from the if-archive.
 This installer offers an easy way to install and manage zcode (a.k.a.
 Infocom-like) games: you tell it which games to install, and it will
 download and register them. Removing one or more games is done in a similar
 way.
 .
 All registered games will be deleted when removing this package, just as if
 they were a part of it.
 .
 You need to have libwww-perl installed if you want the script to download
 the games and index itself.
 .
 To actually play the games you need a package providing a zcode interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT = 2

dest := debian/int-fiction-installer

clean:
	dh_testdir
	dh_clean
	$(MAKE) clean

build:
	$(MAKE)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) DESTDIR=$(dest) install

binary: binary-arch binary-indep
binary-arch:
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build install binary binary-arch binary-indep

## int-fiction-installer 1.5

=== debian/changelog ===
int-fiction-installer (1.5) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:50:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: int-fiction-installer
 Section: contrib/games
 Priority: optional
-Maintainer: Robert Bihlmeyer <robbe@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>= 2.0.0)
 Standards-Version: 3.5.6
